> ## Documentation Index
> Fetch the complete documentation index at: https://developer.duplik.cn/llms.txt
> Use this file to discover all available pages before exploring further.

> 获得一个文档的全文内容

# Get Document Full Texts



## OpenAPI

````yaml get /v1/documents/texts/{document_id}
openapi: 3.0.2
info:
  title: Duplik Backend
  description: The API for Duplik Backend.
  version: 0.1.0
servers:
  - url: https://api.duplik.cn
security: []
paths:
  /v1/documents/texts/{document_id}:
    get:
      tags:
        - openapi-document
      summary: Get Document Full Texts
      description: get document texts
      operationId: get_document_texts_v1_documents_texts__document_id__get
      parameters:
        - required: true
          schema:
            title: Document Id
            type: integer
          name: document_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentTextOfAPI'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentTextOfAPI:
      title: DocumentTextOfAPI
      required:
        - document_id
        - document_contents
      type: object
      properties:
        document_id:
          title: Document Id
          type: integer
        document_contents:
          title: Document Contents
          type: array
          items:
            type: string
    ErrorResponse:
      title: ErrorResponse
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````